%define majver %(echo %version | cut -d. -f1-2)

Name:          libksysguard
Version:       5.14.2
Release:       1mamba
Summary:       KDE Frameworks 5 sysguard library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/plasma/%{version}/libksysguard-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXres-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkpackage-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libplasma-framework-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 sysguard library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package helper
Group:         Graphical Desktop/Applications/Utilities
Summary:       KDE Frameworks 5 libsysguard dbus helper
Conflicts:     kde-workspace
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description helper
KDE Frameworks 5 sysguard library.
This package contains the dbus enabled helper.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n %{name}
/sbin/ldconfig
exit 0

%postun -n %{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/libksysguard.categories
%{_libdir}/libksgrd.so.*
%{_libdir}/libksignalplotter.so.*
%{_libdir}/liblsofui.so.*
%{_libdir}/libprocesscore.so.*
%{_libdir}/libprocessui.so.*
%doc COPYING COPYING.LIB

%files devel
%defattr(-,root,root)
%dir %{_includedir}/ksysguard
%dir %{_includedir}/ksysguard/ksgrd
%{_includedir}/ksysguard/ksgrd/*.h
%{_includedir}/ksysguard/ksignalplotter.h
%{_includedir}/ksysguard/lsof.h
%dir %{_includedir}/ksysguard/processcore
%{_includedir}/ksysguard/processcore/*.h
%dir %{_includedir}/ksysguard/processui
%{_includedir}/ksysguard/processui/*
%dir %{_kde5_libdir}/cmake/KF5SysGuard
%{_kde5_libdir}/cmake/KF5SysGuard/KF5SysGuard*.cmake
%{_libdir}/libksgrd.so
%{_libdir}/libksignalplotter.so
%{_libdir}/liblsofui.so
%{_libdir}/libprocesscore.so
%{_libdir}/libprocessui.so

%files helper
%defattr(-,root,root)
%{_sysconfdir}/dbus-1/system.d/org.kde.ksysguard.processlisthelper.conf
%{_datadir}/dbus-1/system-services/org.kde.ksysguard.processlisthelper.service
%{_libexecdir}/kf5/kauth/ksysguardprocesslist_helper
%{_datadir}/polkit-1/actions/org.kde.ksysguard.processlisthelper.policy
%dir %{_datadir}/ksysguard
%dir %{_datadir}/ksysguard/scripts
%{_datadir}/ksysguard/scripts/README
%dir %{_datadir}/ksysguard/scripts/smaps
%{_datadir}/ksysguard/scripts/smaps/*

%changelog
* Wed Oct 24 2018 Automatic Build System <autodist@mambasoft.it> 5.14.2-1mamba
- automatic version update by autodist

* Wed Oct 17 2018 Automatic Build System <autodist@mambasoft.it> 5.14.1-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Automatic Build System <autodist@mambasoft.it> 5.13.5-1mamba
- automatic version update by autodist

* Fri Aug 03 2018 Automatic Build System <autodist@mambasoft.it> 5.13.4-1mamba
- automatic version update by autodist

* Tue Jul 10 2018 Automatic Build System <autodist@mambasoft.it> 5.13.3-1mamba
- automatic version update by autodist

* Tue Jun 26 2018 Automatic Build System <autodist@mambasoft.it> 5.13.2-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.13.1-1mamba
- automatic version update by autodist

* Sun Jun 17 2018 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Tue May 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.5-1mamba
- automatic version update by autodist

* Sun Apr 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.4-1mamba
- automatic version update by autodist

* Tue Mar 06 2018 Automatic Build System <autodist@mambasoft.it> 5.12.3-1mamba
- automatic version update by autodist

* Wed Feb 21 2018 Automatic Build System <autodist@mambasoft.it> 5.12.2-1mamba
- automatic version update by autodist

* Wed Feb 14 2018 Automatic Build System <autodist@mambasoft.it> 5.12.1-1mamba
- automatic version update by autodist

* Thu Feb 08 2018 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Wed Jan 03 2018 Automatic Build System <autodist@mambasoft.it> 5.11.5-1mamba
- automatic version update by autodist

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.4-1mamba
- automatic version update by autodist

* Tue Nov 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.3-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.11.2-1mamba
- automatic version update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 5.11.1-1mamba
- automatic version update by autodist

* Wed Oct 11 2017 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Wed Aug 23 2017 Automatic Build System <autodist@mambasoft.it> 5.10.5-1mamba
- automatic version update by autodist

* Sun Aug 06 2017 Automatic Build System <autodist@mambasoft.it> 5.10.4-1mamba
- automatic version update by autodist

* Wed Mar 22 2017 Automatic Build System <autodist@mambasoft.it> 5.9.4-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 5.9.3-1mamba
- automatic version update by autodist

* Tue Feb 07 2017 Automatic Build System <autodist@mambasoft.it> 5.9.1-1mamba
- automatic version update by autodist

* Fri Feb 03 2017 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Wed Dec 28 2016 Automatic Build System <autodist@mambasoft.it> 5.8.5-1mamba
- automatic version update by autodist

* Tue Nov 22 2016 Automatic Build System <autodist@mambasoft.it> 5.8.4-1mamba
- automatic version update by autodist

* Tue Nov 01 2016 Automatic Build System <autodist@mambasoft.it> 5.8.3-1mamba
- automatic version update by autodist

* Tue Oct 18 2016 Automatic Build System <autodist@mambasoft.it> 5.8.2-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 5.8.1-1mamba
- automatic version update by autodist

* Thu Oct 06 2016 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Tue Sep 20 2016 Automatic Build System <autodist@mambasoft.it> 5.7.5-1mamba
- automatic version update by autodist

* Tue Aug 30 2016 Automatic Build System <autodist@mambasoft.it> 5.7.4-1mamba
- automatic version update by autodist

* Tue Aug 02 2016 Automatic Build System <autodist@mambasoft.it> 5.7.3-1mamba
- automatic version update by autodist

* Wed Jul 20 2016 Automatic Build System <autodist@mambasoft.it> 5.7.2-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 5.7.1-1mamba
- automatic version update by autodist

* Fri Jul 08 2016 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Tue Jun 14 2016 Automatic Build System <autodist@mambasoft.it> 5.6.5-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 5.6.4-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 5.6.3-1mamba
- automatic version update by autodist

* Tue Apr 05 2016 Automatic Build System <autodist@mambasoft.it> 5.6.2-1mamba
- automatic version update by autodist

* Wed Mar 30 2016 Automatic Build System <autodist@mambasoft.it> 5.6.1-1mamba
- automatic version update by autodist

* Sun Mar 27 2016 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic version update by autodist

* Wed Jan 27 2016 Automatic Build System <autodist@mambasoft.it> 5.5.4-1mamba
- automatic version update by autodist

* Thu Jan 07 2016 Automatic Build System <autodist@mambasoft.it> 5.5.3-1mamba
- automatic version update by autodist

* Sat Jan 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.2-1mamba
- package created using the webbuild interface
